HIP: Heterogenous-computing Interface for Portability: Execution Control

HIP: Heterogenous-computing Interface for Portability

Functions
Execution Control
HIP API

This section describes the execution control functions of HIP runtime API. More...

Collaboration diagram for Execution Control:

## Functions
hipError_t | hipFuncSetAttribute (const void *func, hipFuncAttribute attr, int value)
| Set attribute for a specific function. More...
hipError_t | hipFuncSetCacheConfig (const void *func, hipFuncCache_t config)
| Set Cache configuration for a specific function. More...
hipError_t | hipFuncSetSharedMemConfig (const void *func, hipSharedMemConfig config)
| Set shared memory configuation for a specific function. More...

## Detailed Description

This section describes the execution control functions of HIP runtime API.

## Function Documentation

## ◆ hipFuncSetAttribute()

hipError_t hipFuncSetAttribute | ( | const void * | func,
|  | hipFuncAttribute | attr,
|  | int | value
| ) |  |

Set attribute for a specific function.

Parameters

  [in] | func; |
  [in] | attr; |
  [in] | value; |

Returns
  hipSuccess, #hipErrorInvalidDeviceFunction, hipErrorInvalidValue

Note: AMD devices and some Nvidia GPUS do not support shared cache banking, and the hint is ignored on those architectures.

## ◆ hipFuncSetCacheConfig()

hipError_t hipFuncSetCacheConfig | ( | const void * | func,
|  | hipFuncCache_t | config
| ) |  |

Set Cache configuration for a specific function.

Parameters

  [in] | config; |

Returns
  hipSuccess, #hipErrorNotInitialized Note: AMD devices and some Nvidia GPUS do not support reconfigurable cache. This hint is ignored on those architectures.

## ◆ hipFuncSetSharedMemConfig()

hipError_t hipFuncSetSharedMemConfig | ( | const void * | func,
|  | hipSharedMemConfig | config
| ) |  |

Set shared memory configuation for a specific function.

Parameters

  [in] | func |
  [in] | config |

Returns
  hipSuccess, #hipErrorInvalidDeviceFunction, hipErrorInvalidValue

Note: AMD devices and some Nvidia GPUS do not support shared cache banking, and the hint is ignored on those architectures.